source('h:/watersmart/lib.r')
setwd('h:/watersmart/scriptdata/spdisag/')
slen <- 50
starting.year <- 1906
month <- 'h:/watersmart/scriptdata/spdisag/monflow_2site_vector.txt'


## note that the parameter 'nsite' is now required
## this is so mntpath may be matrix or filepath (with ncol = nsite, filepath must only have matrix, no header!)
spatial.disag(mntpath=month,first.year=starting.year,nsite=2,ann=NULL,sim=NULL,sim.len=slen,filepath='c:/users/verdina/desktop/testing/spdisag/',returnpath='c:/users/verdina/desktop/testing/spdisag/spdisagSuccess.txt')